Bug 107659 - Doesn't mark subfolders correctly containing new messages by filters on IMAP folders
Doesn't mark subfolders correctly containing new messages by filters on IMAP ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 15:49 EDT by Need Real Name
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 13:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-10-21 15:49:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014

Description of problem:
If viewing with pinned folder display of IMAP folders, newly arrived eMails
which are filtered and moved to subfolders are not displayed as unread in the
folder view. You have to check (and click) on every single subfolder to view if
it contains newly arrives eMails. This worked correctly in version 1.2.

Version-Release number of selected component (if applicable):
evolution-1.4.5-4

How reproducible:
Always

Steps to Reproduce:
1. Choose an IMAP Server
2. Create subfolder of your INBOX located on you IMAP Server
3. Create filters to move some messages from INBOX to different subfolders
4. Pin the folder view
5. Receive new messages, which are guaranteed to be filtered
    

Actual Results:  The filters are applied and the messages are correctly moved to
the subfolders. But the subfolders are not marked to contain new messages
(boldface with the number of new mails in parenthesis)

Expected Results:  Subfolders should be marked in the folder view to have new mails.

Additional info:
Comment 1 Jeremy Katz 2003-11-02 23:23:11 EST
Are you using actual folders or vfolders here?
Comment 2 Need Real Name 2003-11-03 15:16:51 EST
I'm using normal folders and NOT vfolders. After the filter had moved
the messages to the subfolders on my IMAP server I have to force a
recheck for new messages. Only after this Evolution recognizes the new
(moved) messages in the subfolders.
Comment 3 Need Real Name 2003-11-26 11:01:41 EST
Additionaly Evolution doesn't order the IMAP Server to prune messages
which are marked as deletable.
Comment 5 Matthew Miller 2006-07-11 13:31:53 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 6 John Thacker 2006-10-27 13:41:08 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.